<?php
require_once(dirname(__FILE__).'/autoload.php');
protegeArquivo(basename(__FILE__));
class rean1 extends base{
	public function __construct($campos=array()){
		parent::__construct();
		$this->tabela = "rean1";
		if(sizeof($campos)<=0):
			$this->campos_valores = array(
				"rea_ficha" => NULL,
				"rea_teste" => NULL,
				"rea_boletim" => NULL,
				"rea_v1" => NULL,
				"rea_v2" => NULL,
				"rea_v3" => NULL,
				"rea_v4" => NULL,
				"rea_v5" => NULL,
				"rea_v6" => NULL,
				"rea_duracao" => NULL,
				"rea_operador" => NULL,
				"rea_campo60a" => NULL,
				"rea_campo60b" => NULL,
				"rea_campo100" => NULL,
				"rea_datainicio" => NULL,
				"rea_datageralteste" => NULL,
				"rea_segunda_leitura" => NULL,
				"rea_lei1" => NULL,
				"rea_lei2" => NULL,
				"rea_lei3" => NULL,
				"rea_lei4" => NULL,
			    "rea_id" => NULL,

			);
		else:
			$this->campos_valores = $campos;
		endif;
		$this->campopk = "rea_id";
	}
    
 
    public function existeRegistro($campo=NULL,$valor=NULL){
        if ($campo!=NULL && $valor!=NULL):
            is_numeric($valor) ? $valor = $valor : $valor = "'".$valor."'";
            $this->extras_select = "WHERE $campo=$valor";
            $this->selecionaTudo($this);
            if ($this->linhasafetadas > 0):
                return TRUE;
            else:
                return FALSE;
            endif;
        else:
            $this->trataerro(__FILE__,__FUNCTION__,NULL,'Faltam parâmetros para executar a função',TRUE);
        endif;
    }
}
?>